/**
 * @file      direct_access_wnd_define.h
 * @brief     Header for DirectAccessWnd class definition
 * @author    Vision Processing Community
 * @copyright 2016 Vision Processing Community. All rights reserved.X.
 */

#ifndef _DIRECT_ACCESS_WND_DEFINE
#define _DIRECT_ACCESS_WND_DEFINE

/* Version information window definition*/
#define kWndSettingsTitle "Direct access"
#define kWndPointX 30
#define kWndPointY 30
#define kWndSizeW 310
#define kWndSizeH 170

/* Identification ID of UI.*/
#define kWndId 90000
#define kTextSalveAddressId 10000
#define kTextRegisterAddressId 10001
#define kTextByteSizeId 10002
#define kComboBoxEndianId 10003
#define kTextDataId 10004
#define kButtonReadId 10005
#define kButtonWriteId 10006

#define kStaticTextSalveAddressName "SlaveAddress (Hex)"
#define kStaticTextSalveAddressPointX 10
#define kStaticTextSalveAddressPointY 10
#define kStaticTextSalveAddressSizeW 180
#define kStaticTextSalveAddressSizeH 30
#define kStaticTextRegisterAddressName "RegisterAddress (Hex)"
#define kStaticTextRegisterAddressPointX 10
#define kStaticTextRegisterAddressPointY 40
#define kStaticTextRegisterAddressSizeW 180
#define kStaticTextRegisterAddressSizeH 30
#define kStaticTextDataName "Data (Hex)"
#define kStaticTextDataPointX 10
#define kStaticTextDataPointY 70
#define kStaticTextDataSizeW 180
#define kStaticTextDataSizeH 30
/*
#define kStaticTextByteSizeName "ByteSize(Hex)"
#define kStaticTextByteSizePointX 100
#define kStaticTextByteSizePointY 20
#define kStaticTextByteSizeSizeW 300
#define kStaticTextByteSizeSizeH 30
#define kStaticTextEndianName "Endian"
#define kStaticTextEndianPointX 140
#define kStaticTextEndianPointY 20
#define kStaticTextEndianSizeW 300
#define kStaticTextEndianSizeH 30
*/

/* Text Box definition*/
#define kTextSalveAddressPointX 190
#define kTextSalveAddressPointY 10
#define kTextSalveAddressSizeW 100
#define kTextSalveAddressSizeH 30
#define kTextRegisterAddressPointX 190
#define kTextRegisterAddressPointY 40
#define kTextRegisterAddressSizeW 100
#define kTextRegisterAddressSizeH 30
#define kTextDataPointX 190
#define kTextDataPointY 70
#define kTextDataSizeW 100
#define kTextDataSizeH 30
/*
#define kTextByteSizePointX 700
#define kTextByteSizePointY 20
#define kTextByteSizeSizeW 120
#define kTextByteSizeSizeH 30
#define kComboBoxEndianPointX 20
#define kComboBoxEndianPointY 300
#define kComboBoxEndianSizeW 120
#define kComboBoxEndianSizeH 30
*/

/* Read button definition*/
#define kButtonReadName "Read"
#define kButtonReadPointX 120
#define kButtonReadPointY 110
#define kButtonReadSizeW 80
#define kButtonReadSizeH 40

/* Write button definition*/
#define kButtonWriteName "Write"
#define kButtonWritePointX 210
#define kButtonWritePointY 110
#define kButtonWriteSizeW 80
#define kButtonWriteSizeH 40

#endif /* _DIRECT_ACCESS_WND_DEFINE*/
